    <div class="modal-header" *ngIf="title">
        <h4 class="modal-title pull-left">{{title}}</h4>
    </div>
      <div class="modal-body">
            <h5 style="text-align: center">{{message}}</h5>
      </div>
      <div class="modal-footer"style="justify-content: center;">
        <button type="button" *ngFor="let button of buttons" [ngClass]="[button.colorClass ? 'btn size btn-sm btn-' + button.colorClass : 'btn size btn-default']" (click)="buttonClick(button.retValue)">{{button.label}}</button>
        <button type="button" *ngIf="closeBtnName" class="btn size btn-sm btn-default" (click)="bsModalRef.hide()">{{closeBtnName}}</button>
    </div>